:root{
    --primaryColor: #981A8E;
    --secondaryColor: #321751;
    --sideBg: #981A8E;
    --headingColor: #0b0b0f;
    --textColor: #272727;
    --greyColor: #dddddd;
    --whiteColor: #ffffff;
    --blackColor: #000000;
    --headingFont: "Montserrat", serif;
    --textFont: "Jost", serif;
    --placeholderColor: #979595;
    --inputColor: #131111;
    --borderColor: #9b9b9b;
    --errorMsgBG: #ff0000;
    --successMsgBG: #76be0a;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
html{
    font-size: 62.5%;
}

h1,h2,h3,h4,h5,h6,table th,table thead{
    font-family: var(--headingFont);
    color: var(--headingColor);
}
p,a,pre,ul,li,address,b,strong,span,input,label,td{
    font-family: var(--textFont);
}
p,a,pre,ul,li,address,b,strong,span,input,td{
    font-size: 1.5rem;
}
strong,b{
    font-weight: 600;
}
a{
    text-decoration: none;
}
a:hover{
    cursor: pointer;
}
ul li{
    list-style: none;
}
h1{
    font-size: 2.5rem;
}
h2{
    font-size: 2rem;
}
h3,h4,h5,h6,th{
    font-size: 1.5rem;
}
button, .btn{
    padding: 7px 20px;
    border-radius: 50px;
    outline: none;
    border: 1px solid var(--secondaryColor);
    background: var(--secondaryColor);
    color: var(--whiteColor);
    cursor: pointer;
    font-size: 1.5rem;
    transition: 0.3s linear;
}
button:hover, .btn:hover{
    background: var(--whiteColor);
    border: 1px solid var(--secondaryColor);
    color: var(--secondaryColor);
}

.inputField{
    border:1px solid var(--borderColor);
    border-radius: 50px;
    padding:5px 5px 5px 10px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin: 0 0 0px 0;
    overflow-x: hidden;
}
.inputField input{
    width:90%;
}

input{
    border: none;
    outline: none;
    padding: 0px;
    color: var(--inputColor);
    background-color: var(--whiteColor) !important;
}

::placeholder{
    color: var(--placeholderColor);
    opacity: 1;
    font-size: 1.5rem;
    font-family: var(--textFont);
}

.inputField label{
    color: var(--primaryColor);
}
.focus{
    border:1px solid var(--primaryColor);
}
input[type="password"]{
    font-size: 1.5rem;
}

input[type="file"]{
    display: none;
}
label[for="userImg"], label[for="advertiserImg"], label[for="fileMedia"], label[for="adImg"], label[for="adVideo"]{
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

#fileName, #advertiserFileName, #adFileName, #adVideoName, #mediaFileName{
    width: 90%;
    color: var(--placeholderColor);
}

#fileName:hover, #advertiserFileName:hover, #adFileName:hover, #adVideoName:hover, #mediaFileName:hover{
    cursor: pointer;
}
select{
    width: 90%;
    border: 1px solid var(--borderColor);
    border-radius: 50px;
    padding:5px 10px;
    outline: none;
    cursor: pointer;
    font-size: 1.5rem;
    font-family: var(--textFont);
    background-color: var(--whiteColor) !important;
}
.icons{
    font-size: 1.6rem;
    vertical-align: middle;
    margin: 0 10px 0 0;
}
.linkSection{
    margin: 10px 0 0 0;
}
.expiryDateNotice{
    font-size: 1.2rem;
    color: var(--errorMsgBG);
    padding: 0;
    margin: 0 0 10px 10px;
}
/* Scroll bar styling */
::-webkit-scrollbar {
    width: 0px; /* Adjust width as needed */
}

::-webkit-scrollbar-track {
    background: #f1f1f1; /* Light grey background */
    border-radius: 10px; /* Rounded corners */
}

::-webkit-scrollbar-thumb {
    background: var(--primaryColor); /* Use your primary color */
    border-radius: 10px; /* Rounded scrollbar */
}

::-webkit-scrollbar-thumb:hover {
    background: #555; /* Darker color on hover */
}

/* Active class for sidebar menu */
.activePage{
    background-color: var(--secondaryColor);
}
small{
    color: var(--errorMsgBG);
    font-size: 1.4rem;
    font-family: var(--textFont);
    display: inline-block;
    margin: 0 0 0px 0;
}
/* Sidebar */
.sidebar {
    width: 250px;
    height: 100vh;
    background: var(--sideBg);
    color: var(--whiteColor);
    position: fixed;
    display: block;
    transition: 0.3s linear;
    overflow-y: scroll;
    
}

.sidebarToggle{
    display: none;
}

.sidebar h2{
    text-align: center;
    padding: 50px 0 30px 0;
    color: var(--whiteColor);
    font-size: 2rem;
    text-transform: uppercase;
}

.sidebar .logo {
    width: 200px;
    margin: 0 auto;
    padding: 50px 0 30px 0;
}
.sidebar .logo img{
    width: 100%;
}


.sidebar ul {
    list-style: none;
    padding: 0;
}

.sidebar ul a {
    color: var(--whiteColor);
    text-decoration: none;
    transition: 0.3s linear;
    padding: 15px;
    border-bottom: 1px solid var(--greyColor);
    display: block;

}
.Validation{
    display: none !important;
}

.sidebar ul .icons, .toogleIcons, .searchIcon{
    font-size: 2.5rem;
    vertical-align: middle;
    margin: 0 10px 0 0;
}

.sidebar ul a:hover {
    background: var(--secondaryColor);
}

/* Main Content */
.main-content {
    margin-left: 270px;
    padding: 30px 20px 50px 20px;
    transition: 0.3s linear;
    position: relative;
}

.toggle{
    margin-left: 70px !important;
}

/* Header Section */
#header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 0 50px 0;
}
.toogleIcons{
    cursor: pointer;
}
.innerSearchSec{
    width: 400px;
}
.innerSearchSec input{
    width: 90%;
}
.userSec{
    display: flex;
    align-items: center;
    gap: 20px;
}
.userImg{
    width: 45px;
    height: 45px;
    border-radius: 50%;
    overflow: hidden;
    background: transparent;
    box-shadow: 0px 0px 10px 5px var(--greyColor);
}

/* Cards */
.cards {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin: 20px 0;
}

.card {
    background: var(--secondaryColor);
    padding: 20px;
    border-radius: 10px;
    width: 230px;
    text-align: center;
}

.card h3 {
    margin: 0;
    color: var(--whiteColor);
}


.card p {
    font-size: 2.4rem;
    font-weight: bold;
    color: var(--whiteColor);
}
/* table section */
.filterAction{
    display: inline-block;
    margin: 0 10px 5px 0;
}
.tableSection{
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.leftTableSec{
    width: 68%;
}

.rightTableSec{
    width: 30%;
}
.paymentTable{
    width: 100%;
    overflow-x: auto;
}
.paymentTable table{
    width: 100%;
}

.advertiserTable,.paymentTable{
    padding: 50px 0;
}
.advertiserTable{
    width: 100%;
    overflow-x: auto;
}
.advertiserTable table{
    width: 700px;
}
.advertiserTableToggle{
    width: 100% !important;
}

.adsTable{
    padding:0 0 50px 0;
}
.adsTable table{
    width:900px;
}
.tableTitleSec{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 0 20px 0;
}

.table{
    width:97%;
    border-radius: 5px;
    box-shadow: 0px 0px 10px 5px var(--greyColor);
    overflow-x: auto;
}
.table::-webkit-scrollbar{
    height: 5px;
}
.table::-webkit-scrollbar-track{
    background: var(--greyColor);
}

.table::-webkit-scrollbar-thumb{
    width: 5px;
    background: var(--primaryColor);
    border-radius: 10px;
}
.noData{
    padding: 20px 0;
    text-align: center;
}

/* Tables */
table {
    width: 100%;
    border-collapse: collapse;
}

table, th, td {
    border: none;
}

table th:first-child{
    border-radius: 5px 0 0 0px;
}


table th:last-child{
    border-radius: 0 5px 0px 0;
}

table tr:nth-child(even){
    background: var(--greyColor);
}

th, td {
    padding: 10px;
    text-align: left;
}
th {
    background: var(--primaryColor);
    color: var(--whiteColor) !important;
}

table tr td:first-child{
    padding:0 0 0 20px;
}

/* advertisers page table section */
.tableSectionAdvertisers, .leftTableSecAdvertisers, .advertiserTableAdvertisers, .tableAdvertisers, .tableAdvertisers table{
    width: 100%;
}

/* ads page table section */
.tableSectionAds, .leftTableSecAds, .adsTableAds, .tableAds, .tableAds table{
    width: 100%;
}

/* Pagination section */
.paginationSection, .pageNumbers, .pagination{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.pageNumbers li{
    padding: 0 10px;
}
.pageList select{
    width: 100px;
}

/* login page styling */
.container{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.formTitle{
    text-align: center;
    padding: 0 0 20px 0;
    font-size: 2.5rem;
}
.loginForm{
    width: 400px;
    padding: 50px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 5px var(--greyColor);
}
.submitField{
    margin: 10px 0 0 0;
}
.errorMsg{
    background: var(--errorMsgBG);
    color: var(--whiteColor);
    padding: 5px 10px;
    border-radius: 50px;
    margin: 15px 0 15px 0;
    text-align: center;
}
.welcomMsg , .confirmMsg, .confirmMediaMsg{
    width:300px;
    height: 200px;
    background:var(--whiteColor);
    border-radius: 10px;
    box-shadow: 0px 0px 10px 5px var(--greyColor);
    padding: 20px;
    text-align: center;
    position: absolute;
    top: 280px;
    left: 50%;
    transform: translate(-50%, -50%);
    display:none;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
}

.welcomMsg ion-icon{
    font-size: 8rem;
    color: var(--primaryColor);
}
.msg{
    font-size: 2rem;
    font-weight: bold;
    color: var(--secondaryColor);
}
.closeWelcome ion-icon{
    font-size: 3rem;
    position: absolute;
    top: 10px;
    right: 0px;
    cursor: pointer;
}
.confirmBtnSec{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.confirmMsg ion-icon, .confirmMediaMsg ion-icon{
    font-size: 4rem;
    color: var(--primaryColor);
}
.okMsg{
    font-size: 1.6rem;
    line-height: 2.2rem;
    color: var(--secondaryColor);
}
.deleteBtn, .deleteMediaBtn{
    color: #3c05f1;
}
.deleteBtn:hover, .deleteMediaBtn:hover{
    cursor: pointer;
}
/* add user page styling */
.addUserContainer{
    height: auto;
}

.userTypeField select{
    border:none;
    outline: none;
    padding: 0px;
    color: var(--placeholderColor);
}
.userBackBtn{
    margin:0 0 0 5px;
}
.username{
    color:var(--textColor);
}

.action{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    visibility: hidden;
}
.action a:hover{
    text-decoration: underline;
}
.usernameSec, .actionSec{
    padding:15px 0 0 0;
    transition: 0.3s linear;
}
.usernameSec:hover .action, .actionSec:hover .action{
    visibility: visible;
}
.username:hover{
    text-decoration: underline;
}
/* media page styling */
.mediaImgSec{
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
}
.mediaImg{
    width:80px;
    height: 80px;
    object-fit: contain;
}
.paymentField{
    border: 1px solid var(--borderColor);
    border-radius: 5px;
    padding: 10px;
    margin: 10px 0 0 0;
}
.paymentHeading{
    color: var(--primaryColor);
}
/* run compaign page styling */
.imgField, .videoField, .urlField, .basicPriceContainer, .standardPriceContainer, .premiumPriceContainer, .paymentField{
    display: none;
}
/* UserAdvertiser Section styling */
.userProfileCreateTime{
    margin:0 0 10px 0;
}
.userAdvertiserViewSec{
    padding: 0 0 50px 0;
}
.viewSec, .userAdvertiserSec{
    width: 100%;
}
.userAdvertiserImg{
    width: 200px;
    height: 200px;
}
.userAdvertiserImg img{
    width: 100%;
    height: 100%;
    /* object-fit: cover; */
    aspect-ratio: 1;
}
.viewImageHeading{
    margin: 0 0 30px 0;
}
.backBtnSec, .buttonContainer{
    margin: 30px 0 0 0;
}
.viewImageName{
    margin: 10px 0 0 0;
}
.imageContainer {
    border: 1px solid var(--borderColor);
    width: 70%;
}
.imageContainer img{
    width: 100%;
    height: 100%;
}
.imageContainer video{
    width:100%;
}
/* Notification section styling */
.notificationSec{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0 30px 0;
}
.notificationSec p{
    text-align: center;
    padding: 10px 20px;
    color: var(--whiteColor);
    border-radius: 10px;
}
.successNotic{
    background-color: var(--successMsgBG);
}
.errorNotic{
    background-color: var(--errorMsgBG);
}
.closeNotificationSec{
    width: 20px;
    cursor: pointer;
}
.showPasswordField{
    border: none;
    margin-left: -15px;
}
.showPasswordField input:hover, .showPasswordField label:hover{
    cursor: pointer;
}
.prevBtnSec{
    margin: 0 20px 0 0;
}
.fieldSpace{
    margin: 8px 0;
}
/* Home page styling */
.innerContainer{
    width: 50%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.innerContainer h1{
    color: var(--secondaryColor);
    font-size: 5rem;
    margin: 0 0 20px 0;
}
.buttonContainer .signupBtn{
    margin: 0 20px 0 0;
}
.forgetLoginBtn{
    margin: 0 0 0 10px;
}
/* Responsive Design */
@media (max-width: 1100px) {
    .tableSectionAdvertisers, .leftTableSecAdvertisers, .advertiserTableAdvertisers, .tableAdvertisers, .tableAdvertisers table{
        width: 100% !important;
    }
    .tableSectionAds, .leftTableSecAds, .adsTableAds, .tableAds, .tableAds table{
        width: 100% !important;
    }
    .sidebar {
        width: 200px;
    }

    .sidebarCollapse{
        width:60px;
    }
    .main-content {
        margin-left: 200px;
    }
    .advertiserTable table{
        width: 700px;
    }
}
@media (max-width: 900px) {
   html{

    font-size: 55%;
   }
   .advertiserTable table{
    width: 700px;
}
}
@media (max-width: 800px) {
    .sidebar {
        display: none;
    }
    .sidebarCollapse{
        width: 60px;
        display: block;
    }
    .toggleIcon{
        display: none;
    }
    .main-content{
        margin-left: 60px;
    }
    .advertiserTable table{
        width: 700px;
    }
}
@media (max-width: 700px) {
    #header{
        justify-content: center;
        align-items: center;
    }
    .sidebarCollapse{
        padding: 30px 0 0 0;
    }
    .collapseUserSec{
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0 0 10px 0;
    }

    .userSec{
        display: none;
    }
    .cards{
        flex-wrap: wrap;
    }
    .card{
        width: 45%;
    }
    .tableSection{
        display: block;
    }
    .leftTableSec{
        width: 100%;
    }
    .rightTableSec{
        width:300px;
    }
    .advertiserTable table{
        width: 700px;
    }
}

@media (max-width: 500px) { 
    .innerSearchSec{
        width: 300px;
    }
    .advertiserTable table{
        width: 700px;
    }
    .loginForm{
        width: 300px;
    }
}

@media (max-width: 400px) { 
    .innerSearchSec{
        width: 100%;
    }
    .card{
        width:100%;
    }
    .rightTableSec{
        width:200px;
    }
    .advertiserTable table{
        width: 700px;
    }
    .loginForm{
        width: 250px;
    }
    .submitField button{
        margin:0 0 15px 0;
    }
    .userBackBtn{
        margin:0;
    }
    .newUserLink{
        margin:20px 0 0 0;
    }
}


